# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.92"
name = "shiplog-ingest-github"
version = "0.2.1"
authors = ["Steven Zimmerman, CPA <git@effortlesssteven.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "GitHub PR/review ingestor with adaptive date slicing and optional SQLite cache."
homepage = "https://effortlessmetrics.com/shiplog"
documentation = "https://docs.rs/shiplog-ingest-github"
readme = "README.md"
keywords = [
    "github",
    "api",
    "ingestion",
    "reviews",
    "coverage",
]
categories = [
    "web-programming::http-client",
    "development-tools",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/EffortlessMetrics/shiplog"
resolver = "2"

[lib]
name = "shiplog_ingest_github"
path = "src/lib.rs"

[[test]]
name = "edge_cases"
path = "tests/edge_cases.rs"

[[test]]
name = "error_paths"
path = "tests/error_paths.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.chrono]
version = "0.4.44"
features = ["serde"]

[dependencies.mutants]
version = "0.0.4"

[dependencies.reqwest]
version = "0.13.2"
features = [
    "blocking",
    "json",
]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.shiplog-cache]
version = "0.2.1"

[dependencies.shiplog-coverage]
version = "0.2.1"

[dependencies.shiplog-ids]
version = "0.2.1"

[dependencies.shiplog-ports]
version = "0.2.1"

[dependencies.shiplog-schema]
version = "0.2.1"

[dependencies.url]
version = "2.5.8"

[dev-dependencies.proptest]
version = "1.11.0"

[dev-dependencies.tempfile]
version = "3.27.0"

[lints.clippy]
cloned_instead_of_copied = "allow"
enum_glob_use = "warn"
flat_map_option = "warn"
needless_pass_by_value = "allow"

[lints.rust]
missing_debug_implementations = "allow"
unsafe_code = "deny"
